Kerbal Space Program - Bug #23966

Major Temperature Differences between 1.7.3 and 1.8
10/18/2019 10:53 PM - Anth12

Status: Closed Start date: 10/19/2019
Severity: Low % Done: 100%
Assignee: just_jim
Category: Physics
Target version: 1.8.1
Version: 1.8.0 Language: English (US), Italiano (Italian)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making
History
Description

KSP 1.7.3 + MH + BG
KSP 1.8 + MH + BG

Following two Screenshots show a major issue with temperature differences on entering the atmosphere
Physics Test 1-7-3.sfs is the save | used for both versions. wait for 50000m to see the same result

| deleted the PartDatabase.cfg, Physics.cfg and settings.cfg so that KSP would rebuild them for both versions. settings was then
adjusted for audio and version watermark only.

Related issues:

Related to Kerbal Space Program - Bug #23978: Parachute drag is different fro... Closed
Related to Kerbal Space Program - Bug #23924: Terrier engine not shielded by ... Resolved 10/17/2019
History

#1 - 10/18/2019 11:53 PM - Anonymous
- File SSTO small V2.craft added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

As a workaround, players who have 'PartDatabase.cfg' from an older working version can copy that file into the KSP-1.8.0 directory and editte-say
“version—=-1-8:0-2686" delete the line with "version = ..."

#3 - 10/19/2019 11:46 AM - SiWalder
- File screenshot136.png added
- File SSTO Hawk v2_1 Crewship.craft added

Confirmed with all my SSTO planes. | posted this in the forum and found others had been having the same issue.

"on re-entry the right wing begins to overheat almost immediately upon getting under 70k.

If I'm returning from LKO it survives, but remains right on the brink of exploding all the way to landing, even when stationary having landed the gauge
is still there and is still over 70% of the way to exploding.

some other parts of the plane have a similar issue but to a lesser degree. the left wing has the issue but doesn't get as close to exploding as the right
wing. I've messed around with the angel and whatever | try the wind or components on the right side of the screen are always hotter than the left. |
rebuilt the craft from scratch in the new build | still got the identical issue.

If returning from anywhere beyond LKO (i.e Mun, Minmus even HKO) | can kiss the wings goodbye."

#4 - 10/19/2019 05:19 PM - hihosilver28

| don't know if this can be changed, but | would recommend changing the priority for this from "Low" -> "Normal". This is something that does not
break the game, but it does severely affect the ability to play it as intended.
#5 - 10/20/2019 06:34 AM - Anth12

Getting into the Kerbin Atmosphere is one thing, getting into the Eve Atmosphere is way harder in pre 1.8. Now its considerably harder than it should
be

#6 - 10/20/2019 10:36 AM - Kergarin
In combination with the drag bug(?) this breakes the game and should be both rated high.

Example:
a booster reentering from 72km at almost orbital speed when crossing 30km from same savegame:

1.7: surface speed 1.872m/s, drag 25,730 kN, convective heat 707.852.000kJ
1.8: surface speed 2060m/s, drag 11,861kN, convective heat 2.040.896.000kJ
#7 - 10/20/2019 01:36 PM - BeanThruster
- Expansion Breaking Ground, Making History added
- Language ltaliano (ltalian) added
Kergarin wrote:
In combination with the drag bug(?) this breakes the game and should be both rated high.

Example:
a booster reentering from 72km at almost orbital speed when crossing 30km from same savegame:

1.7: surface speed 1.872m/s, drag 25,730 kN, convective heat 707.852.000kJ

1.8: surface speed 2060m/s, drag 11,861kN, convective heat 2.040.896.000kJ
Agree with that. | confirm this behavior.
| would also mention the asymmetric overheating, that is, the right wing on a ssto ((both ascending or descending) is more prone to overheating. I'm
not completely confident with this, but | would also add that this happens when the nose is pointing above the prograde marker. If you pitch down
below the prograde marker, then the “preferred “ overheated side becomes the left one.

This bug however is not only about overheating in an atmosphere, but it is probably related with weaker drag and, as such, it strongly affects two of
the main phases of a mission, that is, ascending and descending. | would recommend rising its priority, since it completely breaks the game balance.

#8 - 10/21/2019 01:55 AM - Anonymous
Many entries in 'PartDatabase.cfg’ are changed in ways that look like errors.

If 1 copy that file from a previous installation (version 1.7.3) and delete the line with "version = ..." then | avoid the aerodynamics errors, including the
excessive heating on re-entry.

#9 - 10/21/2019 12:35 PM - Anth12

So both the drag and the temperature issues are related, probably the same issue. Hopefully makes for an easy fix

#10 - 10/21/2019 08:20 PM - just_jim

- Assignee set to just_jim

#11 - 10/21/2019 08:29 PM - just_jim
- Related to Bug #23978: Parachute drag is different from 1.7.3 to 1.8.0 added

#12 - 10/21/2019 08:31 PM - just_jim
- Related to Bug #23924: Terrier engine not shielded by heatshields added

#13 - 10/22/2019 05:13 AM - Anth12

- File KSP.log added

- File Player.log added

just_jim maybe these logs will help?

| was entering into the atmosphere and checked the console and found errors as the following were spamming

ArgumentOutOfRangeException: Index was out of range. Must be non-negative and less than the size of the collection.
Parameter name: index

at System.ThrowHelper.ThrowArgumentOutOfRangeException (System.ExceptionArgument argument, System.ExceptionResource resource)

[0x00029] in <ad04dee02e7e4a85a1299c7ee81¢c79f6>:0

at System.ThrowHelper.ThrowArgumentOutOfRangeException () [0x00000] in <ad04dee02e7e4a85a1299c7ee81c79f6>:0
at KSP.UI.Screens.Flight. TemperatureGaugeSystem.Update () [0x001b8] in <5b6ca6486e0b47a1bce39cde5a91b986>:0

#14 - 10/27/2019 09:56 PM - vrampal

Looks like the following issues are all related:

https://bugs.kerbalspaceprogram.com/issues/23924
https://bugs.kerbalspaceprogram.com/issues/23961
https://bugs.kerbalspaceprogram.com/issues/23966
https://bugs.kerbalspaceprogram.com/issues/23997

Fairing, heat-shield or any other part does not deflect the re-entry air flow.

#15 - 10/30/2019 07:23 PM - SiWalder

I've just tested the 1.8.1 update and can confirm the issue is resolved for me. | appreciate the speedy fix, thanks x

#16 - 10/30/2019 07:33 PM - Anth12

Im not so sure yet. | had a craft blow up when it shouldn't have in one of my tests.

#17 - 10/31/2019 03:42 AM - hihosilver28

| second @SiWalder that this seems to have fixed the issue for me. Granted, | believe that the aerodynamics still behaves differently between 1.7.3 ->
1.8.1, but | think that it falls well within reasonable bounds. I'm no longer seeing the right wing heat first, or massive heat right at reentry. Everything

seems to behave as expected. Thank you, Squad!

#18 - 10/31/2019 10:42 AM - Anth12

I have had issues with the temperature on testing, but it doesn't happen all of the time.

Not entirely sure how to reproduce it. Thought it changed while playing ksp for a while but that didnt work.

Anything in the code that could somehow have the game change the temperature/drag after the game has started

or am | just going crazy?

#19 - 10/31/2019 08:59 PM - just_jim
- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

#20 - 10/31/2019 08:59 PM - just_jim
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.8.1

- % Done changed from 30 to 80

#21 - 10/31/2019 11:34 PM - Anth12

Hold off resolving this one please. | am doing more testing

#22 - 11/01/2019 12:43 AM - Anth12
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Testing done. | cant get the problem to happen again. Maybe | was in 1.8.0 thinking | was in 1.8.1.
My Eve Rocket can get into the atmosphere and out again as per 1.7.3
Resolved

#23 - 11/01/2019 06:33 PM - chris.fulton

- Status changed from Resolved to Closed

Files

Physics Test 1-7-3.sfs 135 KB 10/18/2019 Anth12

1.7.3.png 767 KB 10/18/2019 Anth12

1.8.png 830 KB 10/18/2019 Anth12
